import App from './App.vue';
import Vue from 'vue';
import style from './style/index.less';
let vm: Vue;
module.exports = Editor.Panel.define({
    template: `
        <h1 id="tip" hidden>Hello Cocos</h1>
        <div id=app></div>
    `,
    style: style,
    $: {
        app: '#app',
        tip: '#tip',
    },
    ready() {
        vm = new Vue({
            el: this.$.app!,
            render: h => h(App),
        });
    },
    methods: {
        hello() {
            this.$.tip!.hidden = false;
        },
    },
    close() {
        if (vm) {
            vm.$destroy();
        }
    },
});

