declare module '*.vue' {
    import Vue from 'vue';
    export default Vue;
}
declare module '*.less' {
    const css: string;
    export default css;
}

declare module '*.css' {
    const css: string;
    export default css;
}

declare module '*.png' {
    export default string;
}
declare module '*.jpe?g' {
    export default string;
}
declare module '*.gif' {
    export default string;
}
declare module '*.svg' {
    export default string;
}
declare module '*.ico' {
    export default string;
}
declare module '*.webp' {
    export default string;
}
declare module '*.avif' {
    export default string;
}
declare module '*.mp4' {
    export default string;
}
declare module '*.webm' {
    export default string;
}
declare module '*.ogg' {
    export default string;
}
declare module '*.mp3' {
    export default string;
}
declare module '*.wav' {
    export default string;
}
declare module '*.flac' {
    export default string;
}
declare module '*.aac' {
    export default string;
}
declare module '*.woff2?' {
    export default string;
}
declare module '*.eot' {
    export default string;
}
declare module '*.ttf' {
    export default string;
}
declare module '*.otf' {
    export default string;
}
declare module '*.wasm' {
    export default string;
}
declare module '*.webmanifest' {
    export default string;
}
declare module '*.pdf' {
    export default string;
}
declare module '*.txt'
{
    export default string;
}

declare interface ImportMeta {
    /**
     * @zh 返回从 bundle 所在目录到根目录的相对路径
     * @en return the relative path from bundle's dir to root path
     */
    relativePath: string;
}
